cURL
curl -X POST "https://app.cotool.ai/api/agent-runs/feedback-batch" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"items":[{"agentId":"string","runId":"string","label":"up","comment":"string"}]}'import requests
url = "https://app.cotool.ai/api/agent-runs/feedback-batch"
payload = { "items": [
{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
runId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
comment: '<string>'
}
]
})
};
fetch('https://app.cotool.ai/api/agent-runs/feedback-batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/agent-runs/feedback-batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"runId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"comment\": \"<string>\"\n }\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agent-runs/feedback-batch"
payload := strings.NewReader("{\n \"items\": [\n {\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"runId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"comment\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}AgentRuns
Submit feedback for multiple agent runs
Submits user feedback (thumbs up/down) for multiple agent runs in a single batch operation
POST
/
api
/
agent-runs
/
feedback-batch
cURL
curl -X POST "https://app.cotool.ai/api/agent-runs/feedback-batch" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"items":[{"agentId":"string","runId":"string","label":"up","comment":"string"}]}'import requests
url = "https://app.cotool.ai/api/agent-runs/feedback-batch"
payload = { "items": [
{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
runId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
comment: '<string>'
}
]
})
};
fetch('https://app.cotool.ai/api/agent-runs/feedback-batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/agent-runs/feedback-batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"items\": [\n {\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"runId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"comment\": \"<string>\"\n }\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agent-runs/feedback-batch"
payload := strings.NewReader("{\n \"items\": [\n {\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"runId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"comment\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Was this page helpful?
⌘I